Scrape brand identity by domain (Firecrawl)
curl --request GET \
--url https://api.eventlink.co/api/v1/dashboard/branding \
--cookie better-auth.session_token=import requests
url = "https://api.eventlink.co/api/v1/dashboard/branding"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://api.eventlink.co/api/v1/dashboard/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain": "<string>",
"source": "firecrawl",
"branding": {
"colorScheme": "light",
"logo": "<string>",
"brandName": "<string>",
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>",
"background": "<string>",
"textPrimary": "<string>",
"textSecondary": "<string>",
"link": "<string>"
},
"fonts": [
{
"family": "<string>"
}
],
"typography": {
"fontFamilies": {
"primary": "<string>",
"heading": "<string>",
"code": "<string>"
}
},
"spacing": {
"baseUnit": 123,
"borderRadius": "<string>"
},
"images": {
"logo": "<string>",
"favicon": "<string>",
"ogImage": "<string>"
},
"components": {
"buttonPrimary": {
"background": "<string>",
"textColor": "<string>",
"borderRadius": "<string>",
"borderColor": "<string>"
},
"buttonSecondary": {
"background": "<string>",
"textColor": "<string>",
"borderRadius": "<string>",
"borderColor": "<string>"
}
}
},
"brandkit": {
"logos": {
"primary": "<string>",
"negative": "<string>",
"icon": "<string>"
},
"colors": {
"primary": "<string>",
"accent": "<string>",
"background": "<string>"
},
"appearance": "light",
"radius": "rounded",
"font": "<string>"
},
"workspaceNameHint": "<string>"
}{
"ok": false,
"error": "<string>",
"code": "<string>"
}{
"ok": false,
"error": "<string>",
"code": "<string>"
}{
"ok": false,
"error": "<string>",
"code": "<string>"
}dashboard
Scrape brand identity by domain (Firecrawl)
Session required; active organization is not required (onboarding / create-workspace). Uses Firecrawl branding format. Brand Kit Reset and public event brandkit defaults use the same Firecrawl cache/scrape path.
GET
/
api
/
v1
/
dashboard
/
branding
Scrape brand identity by domain (Firecrawl)
Authorizations
Better Auth session cookie.
Query Parameters
Company domain, e.g. example.com
Minimum string length:
1Example:
"example.com"